package redguard;

public class RtxEntry {
    private String label;
    private String subtitle;
    private byte[] audioBytes;

    public RtxEntry(String label, String subtitle, byte[] audioBytes) {
        this.label = label;
        this.subtitle = subtitle;
        this.audioBytes = audioBytes;
    }

    public RtxEntry(String label, String subtitle) {
        this(label, subtitle, null);
    }

    public String getLabel() {
        return label;
    }

    public int getLength() {
        if (audioBytes == null) {
            return 6 + subtitle.length();
        }
        return 6 + subtitle.length() + audioBytes.length;
    }

    public boolean hasAudio() {
        return audioBytes != null;
    }

    public int getSubtitleLength() {
        return subtitle.length();
    }

    public String getSubtitle() {
        return subtitle;
    }

    public void setSubtitle(String subtitle) {
        this.subtitle = subtitle;
    }

    public byte[] getAudioBytes() {
        return audioBytes;
    }
}